.firebutton {
    position: absolute;    
    right : 1rem;
    bottom:1rem;
    z-index: 5000;
    width: 7rem;
    height: 7rem;
    border-radius: 50%;
    border: solid 0.5rem #111111;
    cursor: pointer;
    box-shadow: 1px 1px 5px #111111;

    display: flex;
    align-items: center;
    justify-content: center;    

    /* Fire radial gradient */
    background: radial-gradient(
        #da0000 0%,
        #aa0000 90%,
        #ee0000 100%);


    color: white;
    font-weight: bold;
    text-transform: uppercase;
    outline: none;
    user-select: none;
    transition: transform 0.1s ease, box-shadow 0.1s ease;

    /* Subtle pulsing heat */
    animation: pulse 2s infinite;
}

.firebutton:hover {
    scale: 1.1;
}


/* Pulse animation */
@keyframes pulse {
    0% {
        box-shadow: 0 0 15px rgba(255,90,0,.7);
    }
    50% {
        box-shadow: 0 0 30px rgba(255,90,0,1);
    }
    100% {
        box-shadow: 0 0 15px rgba(255,90,0,.7);
    }
}